--- ooo2gd/build.xml.old	2010-01-13 11:47:11.000000000 +0000
+++ ooo2gd/build.xml	2010-01-13 11:49:07.000000000 +0000
@@ -1,70 +1,83 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!-- You may freely edit this file. See commented blocks below for -->
-<!-- some examples of how to customize the build. -->
-<!-- (If you delete it and reopen the project it will be recreated.) -->
-<project name="GDocs" default="default" basedir=".">
-    <description>Builds, tests, and runs the project Addin.</description>
-    <import file="nbproject/build-uno-impl.xml"/>
-    <!--
-
-    There exist several targets which are by default empty and which can be 
-    used for execution of your tasks. These targets are usually executed 
-    before and after some main targets. They are: 
-
-      -pre-init:                 called before initialization of project properties
-      -post-init:                called after initialization of project properties
-      -pre-compile:              called before javac compilation
-      -post-compile:             called after javac compilation
-      -pre-compile-single:       called before javac compilation of single file
-      -post-compile-single:      called after javac compilation of single file
-      -pre-compile-test:         called before javac compilation of JUnit tests
-      -post-compile-test:        called after javac compilation of JUnit tests
-      -pre-compile-test-single:  called before javac compilation of single JUnit test
-      -post-compile-test-single: called after javac compilation of single JUunit test
-      -pre-jar:                  called before JAR building
-      -post-jar:                 called after JAR building
-      -post-clean:               called after cleaning build products
-
-    (Targets beginning with '-' are not intended to be called on their own.)
-
-    Example of inserting an obfuscator after compilation could look like this:
-
-        <target name="-post-compile">
-            <obfuscate>
-                <fileset dir="${build.classes.dir}"/>
-            </obfuscate>
-        </target>
-
-    For list of available properties check the imported 
-    nbproject/build-impl.xml file. 
-
-
-    Another way to customize the build is by overriding existing main targets.
-    The targets of interest are: 
-
-      -init-macrodef-javac:     defines macro for javac compilation
-      -init-macrodef-junit:     defines macro for junit execution
-      -init-macrodef-debug:     defines macro for class debugging
-      -init-macrodef-java:      defines macro for class execution
-      -do-jar-with-manifest:    JAR building (if you are using a manifest)
-      -do-jar-without-manifest: JAR building (if you are not using a manifest)
-      run:                      execution of project 
-      -javadoc-build:           Javadoc generation
-      test-report:              JUnit report generation
-
-    An example of overriding the target for project execution could look like this:
-
-        <target name="run" depends="TypeBrowser2-impl.jar">
-            <exec dir="bin" executable="launcher.exe">
-                <arg file="${dist.jar}"/>
-            </exec>
-        </target>
-
-    Notice that the overridden target depends on the jar target and not only on 
-    the compile target as the regular run target does. Again, for a list of available 
-    properties which you can use, check the target you are overriding in the
-    nbproject/build-impl.xml file. 
-
-    -->
-
-</project>
+<project name="ooo2gd" default="build" basedir=".">
+
+    <property name="src" location="src"/>
+    <property name="build" location="build"/>
+
+    <!-- For jar files bundled with NetBeans -->
+    <property name="nbpath" value="/netbeans-6.8"/>
+    <property name="nbp11path" value="${nbpath}/platform11/modules/ext"/>
+    <property name="nbjava3path" value="${nbpath}/java3/modules/ext"/>
+
+    <property name="version" value="2.1.0"/>
+
+    <property name="ooodir" value="/usr/lib64/ooo3"/>
+    <property name="basisdir" value="${ooodir}/basis-link"/>
+    <property name="clsdir" value="${ooodir}/ure/share/java"/>
+    <property name="external_jars" value="libs/activation.jar:libs/gdata-client-1.0.jar:libs/gdata-client-meta-1.0.jar:libs/gdata-core-1.0.jar:libs/gdata-docs-2.0.jar:libs/gdata-media-1.0.jar:libs/gdata-spreadsheet-3.0.jar:libs/gdata-spreadsheet-meta-3.0.jar:libs/google-collect-1.0-rc1.jar:libs/mail-1.4.jar"/>
+    <property name="ooo_jars" value="${clsdir}/jurt.jar:${clsdir}/juh.jar:${clsdir}/sandbox.jar:${clsdir}/unoil.jar:${clsdir}/ridl.jar"/>
+    <property name="clspath" value="${external_jars}:${ooo_jars}:${nbp11path}/swing-layout-1.0.4.jar:."/>
+
+    <property name="extjarname" value="GDocs.jar"/>
+    <property name="packname" value="gdocs_${version}.oxt"/>
+
+    <property name="idlc" value="${ooodir}/solver/bin/idlc"/>
+    <property name="javamaker" value="${ooodir}/solver/bin/javamaker"/>
+    <property name="types.rdb" value="${ooodir}/solver/bin/types.rdb"/>
+    <property name="regmerge" value="${ooodir}/ure/bin/regmerge"/>
+    <property name="libpath" value="/usr/lib64/ooo3/ure/lib:"/>
+
+    <target name="com">
+        <exec executable="${javamaker}">
+            <env key="LD_LIBRARY_PATH" value="${libpath}"/>
+            <arg value="-BUCR"/>
+            <arg file="${types.rdb}"/>
+        </exec>
+    </target>
+    <target name="build" depends="com">
+        <mkdir dir="${build}"/>
+        <javac srcdir="${src}" destdir="${build}" classpath="${clspath}">
+            <compilerarg value="-Xlint:unchecked"/>
+            <compilerarg value="-Xlint:deprecation"/>
+        </javac>
+        <jar destfile="${extjarname}" basedir="${build}">
+            <manifest>
+                <attribute name="UNO-Type-Path" value=""/>
+                <attribute name="RegistrationClassName" value="org.openoffice.gdocs.CentralRegistrationClass"/>
+                <!-- We need to have the class-path autogenerated. -->
+                <attribute name="Class-Path" value="external_jars/gdata-client-1.0.jar external_jars/gdata-client-meta-1.0.jar external_jars/gdata-core-1.0.jar external_jars/gdata-media-1.0.jar external_jars/mail-1.4.jar external_jars/gdata-docs-2.0.jar external_jars/swing-layout-1.0.4.jar external_jars/activation.jar external_jars/gdata-spreadsheet-3.0.jar external_jars/gdata-spreadsheet-meta-3.0.jar external_jars/google-collect-1.0-rc1.jar external_jars/AbsoluteLayout.jar"/>
+                <section name="org/openoffice/gdocs/CentralRegistrationClass.class">
+                    <attribute name="RegistrationClasses" value="org.openoffice.gdocs.GDocs"/>
+                </section>
+            </manifest>
+            <fileset dir="src" includes="org/openoffice/gdocs/resources/*"/>
+        </jar>
+    </target>
+    <target name="pack" depends="build">
+        <zip destfile="${packname}">
+            <zipfileset dir="${nbp11path}" includes="swing-layout-1.0.4.jar" prefix="external_jars"/>
+            <zipfileset dir="${nbjava3path}" includes="AbsoluteLayout.jar" prefix="external_jars"/>
+            <zipfileset dir="libs" includes="*.jar" prefix="external_jars"/>
+            <fileset dir="." includes="${extjarname}"/>
+            <fileset dir="." includes="images/*"/>
+            <fileset dir="." includes="description/description.txt"/>
+            <fileset dir="src" includes="*.xcu"/>
+            <fileset dir="src" includes="description.xml"/>
+            <fileset dir="src" includes="org/openoffice/gdocs/resources/*.properties"/>
+            <zipfileset dir="src" includes="uno-extension-manifest.xml" fullpath="META-INF/manifest.xml"/>
+        </zip>
+    </target>
+
+    <target name="clean">
+        <delete includeemptydirs="true" failonerror="false">
+            <fileset dir="." includes="${extjarname}"/>
+            <fileset dir="." includes="${packname}"/>
+            <fileset dir="${build}"/>
+        </delete>
+    </target>
+    <target name="distclean" depends="clean">
+        <delete includeemptydirs="true" failonerror="false">
+            <fileset dir="com"/>
+            <fileset dir="drafts"/>
+        </delete>
+    </target>
+</project>
--- ooo2gd/src/org/openoffice/gdocs/ui/dialogs/ImportDialog.java.old	2010-01-13 11:47:12.000000000 +0000
+++ ooo2gd/src/org/openoffice/gdocs/ui/dialogs/ImportDialog.java	2010-01-13 13:09:42.000000000 +0000
@@ -423,6 +423,7 @@ public class ImportDialog extends JFrame
 
     private void donwloadTextDocument(final Document entry, final Wrapper wrapper, final boolean openAfterDownload) throws MalformedURLException, IOException, URISyntaxException, UnsupportedEncodingException, HeadlessException {
         String directory = Configuration.getDirectoryToStoreFiles();
+        if (directory==null) directory = Configuration.getWorkingPath();
         String documentUrl = null;
         String documentTitle = createFileName(wrapper,entry);
         if ("?".equals(directory)) {
--- ooo2gd/src/Addons.xcu.old	2010-01-13 12:42:53.000000000 +0000
+++ ooo2gd/src/Addons.xcu	2010-01-13 12:43:08.000000000 +0000
@@ -1,4 +1,4 @@
-<?xml version='1.0' encoding='UTF-8'?>
+<?xml version="1.0" encoding="UTF-8"?>
 <oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="Addons" oor:package="org.openoffice.Office">
   <node oor:name="AddonUI">
     <node oor:name="OfficeMenuBarMerging">
@@ -191,7 +191,6 @@
         </prop>
         <prop oor:name="Context" oor:type="xs:string">
               <value>com.sun.star.sheet.SpreadsheetDocument,com.sun.star.text.TextDocument,com.sun.star.presentation.PresentationDocument</value>            
-          <value/>
         </prop>
         <prop oor:name="Title" oor:type="xs:string">
           <value/>
@@ -213,7 +212,7 @@
           <value>_self</value>
         </prop>
         <prop oor:name="Context" oor:type="xs:string">
-          <value/>
+            <value>com.sun.star.sheet.SpreadsheetDocument,com.sun.star.text.TextDocument,com.sun.star.presentation.PresentationDocument</value>
         </prop>
         <prop oor:name="Title" oor:type="xs:string">
           <value/>
@@ -236,7 +235,6 @@
         </prop>
         <prop oor:name="Context" oor:type="xs:string">
               <value>com.sun.star.sheet.SpreadsheetDocument,com.sun.star.text.TextDocument,com.sun.star.presentation.PresentationDocument</value>            
-          <value/>
         </prop>
         <prop oor:name="Title" oor:type="xs:string">
           <value/>
@@ -258,7 +256,7 @@
           <value>_self</value>
         </prop>
         <prop oor:name="Context" oor:type="xs:string">
-          <value/>
+            <value>com.sun.star.sheet.SpreadsheetDocument,com.sun.star.text.TextDocument,com.sun.star.presentation.PresentationDocument</value>
         </prop>
         <prop oor:name="Title" oor:type="xs:string">
           <value/>
@@ -280,7 +278,7 @@
           <value>_self</value>
         </prop>
         <prop oor:name="Context" oor:type="xs:string">
-          <value/>
+            <value>com.sun.star.sheet.SpreadsheetDocument,com.sun.star.text.TextDocument,com.sun.star.presentation.PresentationDocument</value>
         </prop>
         <prop oor:name="Title" oor:type="xs:string">
           <value/>
@@ -298,7 +296,16 @@
         </prop>
         <node oor:name="UserDefinedImages">
           <prop oor:name="ImageSmallURL">
-              <value>%origin%/images/ooo2gd.png</value>
+              <value>%origin%/images/sc_ooo2gd.png</value>
+          </prop>
+          <prop oor:name="ImageBigURL">
+            <value>%origin%/images/lc_ooo2gd.png</value>
+          </prop>
+          <prop oor:name="ImageSmallHCURL">
+            <value>%origin%/images/sc_ooo2gd.png</value>
+          </prop>
+          <prop oor:name="ImageBigHCURL">
+            <value>%origin%/images/lc_ooo2gd.png</value>
           </prop>
         </node>
       </node>
@@ -308,7 +315,16 @@
         </prop>
         <node oor:name="UserDefinedImages">
           <prop oor:name="ImageSmallURL">
-              <value>%origin%/images/upload-doc.png</value>
+              <value>%origin%/images/sc_upload_doc.png</value>
+          </prop>
+          <prop oor:name="ImageBigURL">
+            <value>%origin%/images/lc_upload_doc.png</value>
+          </prop>
+          <prop oor:name="ImageSmallHCURL">
+            <value>%origin%/images/sc_upload_doc.png</value>
+          </prop>
+          <prop oor:name="ImageBigHCURL">
+            <value>%origin%/images/lc_upload_doc.png</value>
           </prop>
         </node>
       </node>
@@ -318,7 +334,16 @@
         </prop>
         <node oor:name="UserDefinedImages">
           <prop oor:name="ImageSmallURL">
-              <value>%origin%/images/download-doc.png</value>
+              <value>%origin%/images/sc_download_doc.png</value>
+          </prop>
+          <prop oor:name="ImageBigURL">
+            <value>%origin%/images/lc_download_doc.png</value>
+          </prop>
+          <prop oor:name="ImageSmallHCURL">
+            <value>%origin%/images/sc_download_doc.png</value>
+          </prop>
+          <prop oor:name="ImageBigHCURL">
+            <value>%origin%/images/lc_download_doc.png</value>
           </prop>
         </node>
       </node>
@@ -329,7 +354,16 @@
         </prop>
         <node oor:name="UserDefinedImages">
           <prop oor:name="ImageSmallURL">
-              <value>%origin%/images/upload-zoho.png</value>
+              <value>%origin%/images/sc_upload_zoho.png</value>
+          </prop>
+          <prop oor:name="ImageBigURL">
+            <value>%origin%/images/lc_upload_zoho.png</value>
+          </prop>
+          <prop oor:name="ImageSmallHCURL">
+            <value>%origin%/images/sc_upload_zoho.png</value>
+          </prop>
+          <prop oor:name="ImageBigHCURL">
+            <value>%origin%/images/lc_upload_zoho.png</value>
           </prop>
         </node>
       </node>      
@@ -340,7 +374,16 @@
         </prop>
         <node oor:name="UserDefinedImages">
           <prop oor:name="ImageSmallURL">
-              <value>%origin%/images/download-zoho.png</value>
+              <value>%origin%/images/sc_download_zoho.png</value>
+          </prop>
+          <prop oor:name="ImageBigURL">
+            <value>%origin%/images/lc_download_zoho.png</value>
+          </prop>
+          <prop oor:name="ImageSmallHCURL">
+            <value>%origin%/images/sc_download_zoho.png</value>
+          </prop>
+          <prop oor:name="ImageBigHCURL">
+            <value>%origin%/images/lc_download_zoho.png</value>
           </prop>
         </node>
       </node>
@@ -351,7 +394,16 @@
         </prop>
         <node oor:name="UserDefinedImages">
           <prop oor:name="ImageSmallURL">
-              <value>%origin%/images/upload-webdav.png</value>
+              <value>%origin%/images/sc_upload_webdav.png</value>
+          </prop>
+          <prop oor:name="ImageBigURL">
+            <value>%origin%/images/lc_upload_webdav.png</value>
+          </prop>
+          <prop oor:name="ImageSmallHCURL">
+            <value>%origin%/images/sc_upload_webdav.png</value>
+          </prop>
+          <prop oor:name="ImageBigHCURL">
+            <value>%origin%/images/lc_upload_webdav.png</value>
           </prop>
         </node>
       </node>
--- ooo2gd/src/BaseWindowState.xcu.old	2010-01-13 12:43:08.000000000 +0000
+++ ooo2gd/src/BaseWindowState.xcu	2010-01-13 12:43:08.000000000 +0000
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="BaseWindowState" oor:package="org.openoffice.Office.UI">
+  <node oor:name="UIElements">
+    <node oor:name="States">
+      <node oor:name="private:resource/toolbar/addon_org.openoffice.gdocs.gdocs" oor:op="replace">
+        <prop oor:name="UIName" oor:type="xs:string">
+          <value>Google Docs &amp; Zoho</value>
+        </prop>
+        <prop oor:name="Visible" oor:type="xs:boolean">
+          <value>false</value>
+        </prop>
+        <prop oor:name="Docked" oor:type="xs:boolean">
+          <value>true</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
--- ooo2gd/src/BasicIDEWindowState.xcu.old	2010-01-13 12:43:08.000000000 +0000
+++ ooo2gd/src/BasicIDEWindowState.xcu	2010-01-13 12:43:08.000000000 +0000
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="BasicIDEWindowState" oor:package="org.openoffice.Office.UI">
+  <node oor:name="UIElements">
+    <node oor:name="States">
+      <node oor:name="private:resource/toolbar/addon_org.openoffice.gdocs.gdocs" oor:op="replace">
+        <prop oor:name="UIName" oor:type="xs:string">
+          <value>Google Docs &amp; Zoho</value>
+        </prop>
+        <prop oor:name="Visible" oor:type="xs:boolean">
+          <value>false</value>
+        </prop>
+        <prop oor:name="Docked" oor:type="xs:boolean">
+          <value>true</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
--- ooo2gd/src/CalcWindowState.xcu.old	2010-01-13 12:43:08.000000000 +0000
+++ ooo2gd/src/CalcWindowState.xcu	2010-01-13 12:43:08.000000000 +0000
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="CalcWindowState" oor:package="org.openoffice.Office.UI">
+  <node oor:name="UIElements">
+    <node oor:name="States">
+      <node oor:name="private:resource/toolbar/addon_org.openoffice.gdocs.gdocs" oor:op="replace">
+        <prop oor:name="UIName" oor:type="xs:string">
+          <value>Google Docs &amp; Zoho</value>
+        </prop>
+        <prop oor:name="Visible" oor:type="xs:boolean">
+          <value>false</value>
+        </prop>
+        <prop oor:name="Docked" oor:type="xs:boolean">
+          <value>true</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
--- ooo2gd/src/DrawWindowState.xcu.old	2010-01-13 12:43:08.000000000 +0000
+++ ooo2gd/src/DrawWindowState.xcu	2010-01-13 12:43:08.000000000 +0000
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="DrawWindowState" oor:package="org.openoffice.Office.UI">
+  <node oor:name="UIElements">
+    <node oor:name="States">
+      <node oor:name="private:resource/toolbar/addon_org.openoffice.gdocs.gdocs" oor:op="replace">
+        <prop oor:name="UIName" oor:type="xs:string">
+          <value>Google Docs &amp; Zoho</value>
+        </prop>
+        <prop oor:name="Visible" oor:type="xs:boolean">
+          <value>false</value>
+        </prop>
+        <prop oor:name="Docked" oor:type="xs:boolean">
+          <value>true</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
--- ooo2gd/src/ImpressWindowState.xcu.old	2010-01-13 12:43:08.000000000 +0000
+++ ooo2gd/src/ImpressWindowState.xcu	2010-01-13 12:43:08.000000000 +0000
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="ImpressWindowState" oor:package="org.openoffice.Office.UI">
+  <node oor:name="UIElements">
+    <node oor:name="States">
+      <node oor:name="private:resource/toolbar/addon_org.openoffice.gdocs.gdocs" oor:op="replace">
+        <prop oor:name="UIName" oor:type="xs:string">
+          <value>Google Docs &amp; Zoho</value>
+        </prop>
+        <prop oor:name="Visible" oor:type="xs:boolean">
+          <value>false</value>
+        </prop>
+        <prop oor:name="Docked" oor:type="xs:boolean">
+          <value>true</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
--- ooo2gd/src/MathWindowState.xcu.old	2010-01-13 12:43:08.000000000 +0000
+++ ooo2gd/src/MathWindowState.xcu	2010-01-13 12:43:08.000000000 +0000
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="MathWindowState" oor:package="org.openoffice.Office.UI">
+  <node oor:name="UIElements">
+    <node oor:name="States">
+      <node oor:name="private:resource/toolbar/addon_org.openoffice.gdocs.gdocs" oor:op="replace">
+        <prop oor:name="UIName" oor:type="xs:string">
+          <value>Google Docs &amp; Zoho</value>
+        </prop>
+        <prop oor:name="Visible" oor:type="xs:boolean">
+          <value>false</value>
+        </prop>
+        <prop oor:name="Docked" oor:type="xs:boolean">
+          <value>true</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
--- ooo2gd/src/ProtocolHandler.xcu.old	2010-01-13 11:47:11.000000000 +0000
+++ ooo2gd/src/ProtocolHandler.xcu	2010-01-13 12:43:08.000000000 +0000
@@ -1,6 +1,5 @@
-<?xml version='1.0' encoding='UTF-8'?>
-
-<oor:component-data oor:name="ProtocolHandler" oor:package="org.openoffice.Office" xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" oor:name="ProtocolHandler" oor:package="org.openoffice.Office">
   <node oor:name="HandlerSet">
     <node oor:name="org.openoffice.gdocs.GDocs" oor:op="replace">
       <prop oor:name="Protocols" oor:type="oor:string-list">
--- ooo2gd/src/StartModuleWindowState.xcu.old	2010-01-13 12:43:08.000000000 +0000
+++ ooo2gd/src/StartModuleWindowState.xcu	2010-01-13 12:43:08.000000000 +0000
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="StartModuleWindowState" oor:package="org.openoffice.Office.UI">
+  <node oor:name="UIElements">
+    <node oor:name="States">
+      <node oor:name="private:resource/toolbar/addon_org.openoffice.gdocs.gdocs" oor:op="replace">
+        <prop oor:name="UIName" oor:type="xs:string">
+          <value>Google Docs &amp; Zoho</value>
+        </prop>
+        <prop oor:name="Visible" oor:type="xs:boolean">
+          <value>false</value>
+        </prop>
+        <prop oor:name="Docked" oor:type="xs:boolean">
+          <value>true</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
--- ooo2gd/src/WriterWindowState.xcu.old	2010-01-13 12:43:08.000000000 +0000
+++ ooo2gd/src/WriterWindowState.xcu	2010-01-13 12:43:08.000000000 +0000
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="WriterWindowState" oor:package="org.openoffice.Office.UI">
+  <node oor:name="UIElements">
+    <node oor:name="States">
+      <node oor:name="private:resource/toolbar/addon_org.openoffice.gdocs.gdocs" oor:op="replace">
+        <prop oor:name="UIName" oor:type="xs:string">
+          <value>Google Docs &amp; Zoho</value>
+        </prop>
+        <prop oor:name="Visible" oor:type="xs:boolean">
+          <value>false</value>
+        </prop>
+        <prop oor:name="Docked" oor:type="xs:boolean">
+          <value>true</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
--- ooo2gd/src/uno-extension-manifest.xml.old	2010-01-13 11:47:12.000000000 +0000
+++ ooo2gd/src/uno-extension-manifest.xml	2010-01-13 12:54:27.000000000 +0000
@@ -1,9 +1,14 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <manifest:manifest xmlns:manifest="http://openoffice.org/2001/manifest">
-  <manifest:file-entry manifest:media-type="application/vnd.sun.star.uno-component;type=Java"
-                       manifest:full-path="GDocs.jar"/>
-  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data"
-                       manifest:full-path="ProtocolHandler.xcu"/>
-  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data"
-                       manifest:full-path="Addons.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.uno-component;type=Java" manifest:full-path="GDocs.jar"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="ProtocolHandler.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="Addons.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="CalcWindowState.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="StartModuleWindowState.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="WriterWindowState.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="BaseWindowState.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="ImpressWindowState.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="BasicIDEWindowState.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="MathWindowState.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="DrawWindowState.xcu"/>
 </manifest:manifest>
\ No newline at end of file
